# ROC IEC

Verifying the ROC IEC document helps to ensure that the end user is a legitimate business entity and has the necessary legal documentation to carry out import/export activities. It also helps to prevent fraudulent or illegal activities, such as money laundering or terrorist financing, through the merchant's payment processing activities.

### Submit Document

#### ind\_roc\_iec

`POST` `https://secctrl.tutelar.io/api/v1/kyc/merchant/ind_roc_iec`

Post parameters description is given below:

| Post Parameter       | Type   | Is Mandatory | Description        |
| -------------------- | ------ | ------------ | ------------------ |
| import\_export\_code | String | Yes          | Import export code |

**Sample Post Parameters**

```json
{
    "import_export_code": "33AADCF9175D1ZP"
}
```

200: Success Response

200: InProgress Response

400: Validation Error Response

200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "2360b225-856f-4d68-b42c-61ca7fa01a5a",
    "status": "completed",
    "result": {
        "enterprise_name": "RITAA STEELS",
        "enterprise_pan": "ANZPG7325CFT001",
        "import_export_code": "ANZPG7325C",
        "enterprise_address": "2079 MANDVI NI POLE,LALABHAI S,POL E, DAKWALA S KHADKI AHMEDABAD,GUJARAT",
        "iec_status": "DEACTIVATED",
        "directors": []
    },
    "requested_at": "2024-04-18T13:01:19.959Z",
    "completed_at": "2024-04-18T13:01:21.000Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "2360b225-856f-4d68-b42c-61ca7fa01a5a",
    "status": "in_progress",
    "requested_at": "2024-04-18T13:01:19.959Z"
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid import export code",
        "field": "import_export_code",
        "code": "BAD_REQUEST"
    }
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "6f081576-1076-4a80-b626-c0411b56a49b",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T11:37:58.214Z",
    "completed_at": "2024-04-18T11:37:59.000Z"
}
```

### Check Document Status

#### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/merchant/ind_roc_iec`

Query parameters description is given below:

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

200: Success Response

200: InProgress Response

200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "2360b225-856f-4d68-b42c-61ca7fa01a5a",
    "status": "completed",
    "result": {
        "enterprise_name": "RITAA STEELS",
        "enterprise_pan": "ANZPG7325CFT001",
        "import_export_code": "ANZPG7325C",
        "enterprise_address": "2079 MANDVI NI POLE,LALABHAI S,POL E, DAKWALA S KHADKI AHMEDABAD,GUJARAT",
        "iec_status": "DEACTIVATED",
        "directors": []
    },
    "requested_at": "2024-04-18T13:01:19.959Z",
    "completed_at": "2024-04-18T13:01:21.000Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "2360b225-856f-4d68-b42c-61ca7fa01a5a",
    "status": "in_progress",
    "requested_at": "2024-04-18T13:01:19.959Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "6f081576-1076-4a80-b626-c0411b56a49b",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T11:37:58.214Z",
    "completed_at": "2024-04-18T11:37:59.000Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/roc-iec.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
